﻿@model Instargram.Models.Publication

<h4>Publication</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="View">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="ImagePath" class="control-label"></label>
                <input asp-for="ImagePath" class="form-control" />
                <span asp-validation-for="ImagePath" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Desc" class="control-label"></label>
                <input asp-for="Desc" class="form-control" />
                <span asp-validation-for="Desc" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="LikeCount" class="control-label"></label>
                <input asp-for="LikeCount" class="form-control" />
                <span asp-validation-for="LikeCount" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="UserId" class="control-label"></label>
                <select asp-for="UserId" class="form-control" asp-items="ViewBag.UserId"></select>
                <span asp-validation-for="UserId" class="text-danger"></span>
            </div>
            <input type="hidden" asp-for="Id" />
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
